Skip to Content
APIsToken Data

Token Data

Get token data returns real-time or historical token information.

Get Token Data

GEThttps://api.adesic.com/v2/dex/{exchange}/{blockchain}/token/{token}

Returns an object of real-time or historical token data on the decentralized exchange.

Path Parameters

NameTypeDescription
exchange*stringDecentralized exchange Id
blockchain*stringBlockchain for Decentralized exchange
token*stringToken contract address.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
blockintThe blockchain block number for historical data.
success-response.json
{ "id": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2", "name": "Wrapped Ether", "symbol": "WETH", "decimals": "18", "supply": "19848", "totalValueLocked": "631142.087037589087808909", "totalValueLockedUSD": "1175058789.34375407186171784308728", "volume": "344086745.20009839797422871", "volumeUSD": "753749160247.6554862800162826515373", "untrackedVolumeUSD": "418002367585531.1947936090378553175", "txCount": "24827115", "derivedETH": "1", "feesUSD": "1205919785.200171873113778800523199", "totalValueLockedUSDUntracked": "0", "poolCount": "0" }

Copy & Paste Code

curl-example.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/dex/uniswap/ethereum/token/0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2

Response Object

Example URL: https://api.adesic.com/v2/dex/uniswap/ethereum/token/0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2 

response-example.json
{ "id": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2", "name": "Wrapped Ether", "symbol": "WETH", "decimals": "18", "supply": "19848", "totalValueLocked": "631142.087037589087808909", "totalValueLockedUSD": "1175058789.34375407186171784308728", "volume": "344086745.20009839797422871", "volumeUSD": "753749160247.6554862800162826515373", "untrackedVolumeUSD": "418002367585531.1947936090378553175", "txCount": "24827115", "derivedETH": "1", "feesUSD": "1205919785.200171873113778800523199", "totalValueLockedUSDUntracked": "0", "poolCount": "0" }

Response Attributes

Attribute NameData TypeDescription
idstringToken contract address
namestringToken name
symbolstringToken symbol
decimalsstringToken decimals
supplystringToken total supply
totalValueLockedstringLiquidity across all pools in token units
totalValueLockedUSDstringLiquidity across all pools in derived USD
volumestringVolume in token units
volumeUSDstringVolume in derived USD
untrackedVolumeUSDstringVolume in USD even on pools with less reliable USD values
txCountstringTransactions across all pools that include this token
derivedETHstringDerived price in ETH
feesUSDstringFees in USD
totalValueLockedUSDUntrackedstringTVL derived in USD untracked
poolCountstringNumber of pools containing this token

© Adesic LLC. All Rights Reserved